# kparts Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::Event Class Reference

Base class for all KParts events. More...

`#include <event.h>`

Inheritance diagram for KParts::Event:

[legend]
Collaboration diagram for KParts::Event:

[legend]
List of all members.

## Public Member Functions

| Event (const char *eventName)
virtual const char * | eventName () const

## Static Public Member Functions

bool | test (const QEvent *event)
bool | test (const QEvent *event, const char *name)

## Detailed Description

Base class for all KParts events.

Definition at line 34 of file event.h.

The documentation for this class was generated from the following files:

- event.h
- event.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:26:55 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001